Announcement Announcement Module
Collapse
No announcement yet.
Unsatisfied leaf constraints: Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Unsatisfied leaf constraints:

    while deploying web app to app platform the following is wriiten to the console:

    Unsatisfied leaf constraints:
    Bundle: org.springframework.webflow_2.0.2.RELEASE - Import-Package: org.springframework.binding.convert.service; version="[2.0.2,2.0.2]"
    Did you mean: 'org.springframework.osgi.context.event'?
    Bundle: org.springframework.webflow_2.0.2.RELEASE - Import-Package: org.springframework.binding.collection; version="[2.0.2,2.0.2]"
    Did you mean: 'org.springframework.jca.cci.connection'?
    Bundle: org.springframework.webflow_2.0.2.RELEASE - Import-Package: org.springframework.binding.expression.ognl; version="[2.0.2,2.0.2]"
    Did you mean: 'org.springframework.context.config'?
    Bundle: org.springframework.webflow_2.0.2.RELEASE - Import-Package: org.springframework.binding.format.registry; version="[2.0.2,2.0.2]"
    Did you mean: 'org.springframework.beans.propertyeditors'?
    Bundle: org.springframework.webflow_2.0.2.RELEASE - Import-Package: org.springframework.binding.method; version="[2.0.2,2.0.2]"
    Did you mean: 'org.springframework.jndi.support'?
    Bundle: org.springframework.webflow_2.0.2.RELEASE - Import-Package: org.springframework.js.ajax; version="[2.0.2,2.0.2]"
    Did you mean: 'org.springframework.jmx'?
    Bundle: org.springframework.webflow_2.0.2.RELEASE - Import-Package: org.springframework.binding.expression; version="[2.0.2,2.0.2]"
    Did you mean: 'org.springframework.beans.annotation'?
    Bundle: org.springframework.webflow_2.0.2.RELEASE - Import-Package: org.springframework.binding.mapping.impl; version="[2.0.2,2.0.2]"
    Did you mean: 'org.springframework.beans.factory.xml'?
    Bundle: org.springframework.webflow_2.0.2.RELEASE - Import-Package: org.springframework.binding.format; version="[2.0.2,2.0.2]"
    Did you mean: 'org.springframework.jndi.support'?
    Bundle: org.springframework.webflow_2.0.2.RELEASE - Import-Package: org.springframework.binding.mapping; version="[2.0.2,2.0.2]"
    Did you mean: 'org.springframework.jndi.support'?
    Bundle: org.springframework.webflow_2.0.2.RELEASE - Import-Package: org.springframework.binding.expression.support; version="[2.0.2,2.0.2]"
    Did you mean: 'org.springframework.osgi.extender.support'?
    Bundle: org.springframework.webflow_2.0.2.RELEASE - Import-Package: org.springframework.js.ajax.tiles2; version="[2.0.2,2.0.2]"
    Did you mean: 'org.springframework.jmx.access'?
    Bundle: org.springframework.webflow_2.0.2.RELEASE - Import-Package: org.springframework.binding.convert; version="[2.0.2,2.0.2]"
    Did you mean: 'org.springframework.ui.context'?
    Bundle: org.springframework.webflow_2.0.2.RELEASE - Import-Package: org.springframework.binding.expression.el; version="[2.0.2,2.0.2]"
    Did you mean: 'org.springframework.jdbc.core.simple'?
    Bundle: org.springframework.webflow_2.0.2.RELEASE - Import-Package: org.springframework.binding.message; version="[2.0.2,2.0.2]"
    Did you mean: 'org.springframework.remoting.soap'?

    the manifest file is as follows:

    Manifest-Version: 1.0
    Bundle-Name: ent.jee.asl.web
    Platform-ModuleType: Web
    Bundle-ManifestVersion: 2
    Bundle-SymbolicName: ge.nbcuni.ent.jee.asl.web
    Bundle-Version: 1.0.0
    Import-Library: org.springframework.spring;version="[2.5,2.6)",
    org.springframework.webflow;version="[2.0.2,2.0.3)",
    org.apache.tiles
    Import-Bundle: com.springsource.org.apache.taglibs.standard;versi on="[1.1.2,1.1.2]",
    org.springframework.security.taglibs;version="[2.0.2,2.0.3)"
    Import-Package: com.ge.nbcuni.jee.dsl.xtn.entity_srvc,
    javax.servlet,
    javax.servlet.http,
    javax.servlet.jsp

    any suggestions would be appreciated

  • #2
    Unsatisfied leaf constraints:

    It's maybe just the copy paste into this forum, but to be sure: If you split up a Manifest header command into multiple lines, all subsequent lines must be indented, otherwise they're just "ignored".

    Regards
    Kay

    Comment


    • #3
      Unsatisfied leaf constraints:

      just the copy and paste, all lines are indented properly

      Comment


      • #4
        Unsatisfied leaf constraints:

        Have you downloaded and installed the according bundles / libraries from the SpringSource Repository? There's no automatic provisioning (download and install) of dependencies (yet) - that means: All dependencies your future apps may require need to be installed "manually" into the Platform prior to deploying your app.
        It looks you did that for the directly referenced dependencies - however, if they have further dependencies, you need to go and fetch them as well...

        Regards
        Kay

        Comment


        • #5
          Unsatisfied leaf constraints:

          everything in the manifest is installed in the app platform repository. the meesage seems to indicate that the webflow bundle cannot resolve a dependency to the spring framework: Bundle: org.springframework.webflow_2.0.2.RELEASE - Import-Package: org.springframework.binding.convert.service; version="[2.0.2,2.0.2]"
          however, both libraries are installed in the repository, the manifest has no errors and, the code compiles

          Comment


          • #6
            Unsatisfied leaf constraints:

            I got the same problem when i use the org.springframework.webflow_2.0.2.RELEASE bundle.Here webflow bundle trying to import the exported packages of org.springframework.binding;version="[2.0.2,2.0.2]" bundle.Here the problem is org.springframework.binding bundle trying to export the packages with the version 2.0.2.RELEASE where as org.springframework.webflow bundle trying to import the packages with the version 2.0.2.So the problem comes with the version number.
            The problem is already reported here https://issuetracker.springsource.com/browse/BRITS-102

            Comment

            Working...
            X